import { Token } from "./token";
/**
 * Shiftオペレーション
 */
export declare type ShiftOperation = {
    type: "shift";
    to: number;
};
/**
 * Reduceオペレーション
 */
export declare type ReduceOperation = {
    type: "reduce";
    grammar_id: number;
};
/**
 * Shift/Reduceコンフリクト
 */
export declare type ConflictedOperation = {
    type: "conflict";
    shift_to: Array<number>;
    reduce_grammar: Array<number>;
};
/**
 * Acceptオペレーション
 */
export declare type AcceptOperation = {
    type: "accept";
};
/**
 * Gotoオペレーション
 */
export declare type GotoOperation = {
    type: "goto";
    to: number;
};
/**
 * 構文解析器の実行する命令群
 */
export declare type ParsingOperation = ShiftOperation | ReduceOperation | ConflictedOperation | AcceptOperation | GotoOperation;
/**
 * 構文解析表
 */
export declare type ParsingTable = Array<Map<Token, ParsingOperation>>;
