/**
 * トークン名
 */
export declare type Token = string | symbol;
/**
 * トークン化された入力
 * トークン名と、字句規則にマッチした元々の入力
 */
export declare type TokenizedInput<T = string> = {
    token: Token;
    value: T;
};
/**
 * 入力の終端を表す終端記号名
 * @type {symbol}
 */
export declare const SYMBOL_EOF: Token;
/**
 * `S' -> S $` (Sは開始記号)となるような非終端記号S'を表す非終端記号名
 * @type {symbol}
 */
export declare const SYMBOL_SYNTAX: Token;
