import { Language } from "../def/language";
import { ParsingTable } from "../def/parsingtable";
import { Parser } from "./parser";
/**
 * Parserを生成するためのファクトリクラス
 */
export declare class ParserFactory {
    /**
     * 言語
     * @param {Language} language 解析する言語情報
     * @param {ParsingTable} parsing_table 構文解析表
     * @returns {Parser} 生成されたパーサ
     */
    static create(language: Language, parsing_table: ParsingTable): Parser;
}
