"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lexer_1 = require("../lexer/lexer");
const parser_1 = require("./parser");
/**
 * Parserを生成するためのファクトリクラス
 */
class ParserFactory {
    /**
     * 言語
     * @param {Language} language 解析する言語情報
     * @param {ParsingTable} parsing_table 構文解析表
     * @returns {Parser} 生成されたパーサ
     */
    static create(language, parsing_table) {
        const lexer = new lexer_1.Lexer(language);
        return new parser_1.Parser(lexer, language.grammar, parsing_table);
    }
}
exports.ParserFactory = ParserFactory;
