import { GrammarDefinition } from "../def/language";
import { Token } from "../def/token";
import { SymbolDiscriminator } from "./symboldiscriminator";
/**
 * First集合
 */
export declare class FirstSet {
    private grammar;
    private symbols;
    private first_map;
    private nulls;
    /**
     * @param {GrammarDefinition} grammar 構文規則
     * @param {SymbolDiscriminator} symbols 終端/非終端記号の判別に用いる分類器
     */
    constructor(grammar: GrammarDefinition, symbols: SymbolDiscriminator);
    /**
     * First集合を生成する
     */
    private generateFirst();
    /**
     * 記号または記号列を与えて、その記号から最初に導かれうる非終端記号の集合を返す
     * @param {Token | Token[]} arg
     * @returns {Set<Token>}
     */
    get(arg: Token | Token[]): Set<Token>;
}
