/**
 * 予め構文解析器を生成しておいて利用するためのソースコードを生成する
 */
export declare class PreCompiler {
    private import_path;
    /**
     * @param import_path パーサジェネレータをimportするためのディレクトリパス
     */
    constructor(import_path?: string);
    /**
     * 構文ファイルを受け取り、それを処理できるパーサを構築するためのソースコードを返す
     * @param {string} input 言語定義文法によって記述された、解析対象となる言語
     * @returns {string} 生成されたパーサのソースコード
     */
    exec(input: string): string;
}
